Module tdlight.api
Package it.tdlight.jni

# Class TdApi.InternalLinkTypeStickerSet

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InternalLinkType
it.tdlight.jni.TdApi.InternalLinkTypeStickerSet

Enclosing class:
  TdApi

public static final class TdApi.InternalLinkTypeStickerSet extends TdApi.InternalLinkType
The link is a link to a sticker set. Call searchStickerSet with the given sticker set name to process the link and show the sticker set. If the sticker set is found and the user wants to add it, then call changeStickerSet.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`boolean`
`expectCustomEmoji`
True, if the sticker set is expected to contain custom emoji.
`String`
`stickerSetName`
Name of the sticker set.

## Constructor Summary

Constructors
Constructor
Description
`InternalLinkTypeStickerSet()`
The link is a link to a sticker set.
`InternalLinkTypeStickerSet(DataInput input)`
The link is a link to a sticker set.
`InternalLinkTypeStickerSet(String stickerSetName, boolean expectCustomEmoji)`
The link is a link to a sticker set.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### stickerSetName

public String stickerSetName
Name of the sticker set.

### expectCustomEmoji

public boolean expectCustomEmoji
True, if the sticker set is expected to contain custom emoji.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### InternalLinkTypeStickerSet

public InternalLinkTypeStickerSet()
The link is a link to a sticker set. Call searchStickerSet with the given sticker set name to process the link and show the sticker set. If the sticker set is found and the user wants to add it, then call changeStickerSet.

### InternalLinkTypeStickerSet

public InternalLinkTypeStickerSet(String stickerSetName, boolean expectCustomEmoji)
The link is a link to a sticker set. Call searchStickerSet with the given sticker set name to process the link and show the sticker set. If the sticker set is found and the user wants to add it, then call changeStickerSet.

Parameters:
  `stickerSetName` - Name of the sticker set.
  `expectCustomEmoji` - True, if the sticker set is expected to contain custom emoji.

### InternalLinkTypeStickerSet

public InternalLinkTypeStickerSet(DataInput input) throws IOException
The link is a link to a sticker set. Call searchStickerSet with the given sticker set name to process the link and show the sticker set. If the sticker set is found and the user wants to add it, then call changeStickerSet.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`